/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.MotivoViajeDAO;
import com.rjconsultores.ventaboletos.entidad.MotivoViaje;
import com.rjconsultores.ventaboletos.service.MotivoViajeService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Shiro
 */
@Service("motivoViajeService")
public class MotivoViajeServiceImpl implements MotivoViajeService {

    @Autowired
    private MotivoViajeDAO motivoViajeDAO;

    public List<MotivoViaje> obtenerTodos() {
        return motivoViajeDAO.obtenerTodos();
    }

    public MotivoViaje obtenerID(Integer id) {
        return motivoViajeDAO.obtenerID(id);
    }

    @Transactional
    public MotivoViaje suscribir(MotivoViaje entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return motivoViajeDAO.suscribir(entidad);
    }

    @Transactional
    public MotivoViaje actualizacion(MotivoViaje entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return motivoViajeDAO.actualizacion(entidad);

    }

    @Transactional
    public void borrar(MotivoViaje entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        motivoViajeDAO.actualizacion(entidad);
    }
}
